# wxDataOutputStream Class Reference
[Streams]

`#include <wx/datstrm.h>`

## Detailed Description

This class provides functions that write binary data types in a portable way.

Data can be written in either big-endian or little-endian format, little-endian being the default on all architectures.

If you want to write data to text files (or streams) use wxTextOutputStream instead.

The "<<" operator is overloaded and you can use this class like a standard C++ iostream. See wxDataInputStream for its usage and caveats.

##

Library: wxBase

Category: Streams

See also:
  wxDataInputStream

## Public Member Functions
| wxDataOutputStream (wxOutputStream &stream, const wxMBConv &conv=wxConvUTF8)
| Constructs a datastream object from an output stream.
| ~wxDataOutputStream ()
| Destroys the wxDataOutputStream object.
void | BigEndianOrdered (bool be_order)
| If be_order is true, all data will be written in big-endian order, e.g.
wxMBConv * | GetConv () const
| Returns the current text conversion class used for writing strings.
void | SetConv (const wxMBConv &conv)
| Sets the text conversion class used for writing strings.
void | Write8 (wxUint8 i8)
| Writes the single byte i8 to the stream.
void | Write8 (const wxUint8 *buffer, size_t size)
| Writes an array of bytes to the stream.
void | Write16 (wxUint16 i16)
| Writes the 16 bit unsigned integer i16 to the stream.
void | Write16 (const wxUint16 *buffer, size_t size)
| Writes an array of 16 bit unsigned integer to the stream.
void | Write32 (wxUint32 i32)
| Writes the 32 bit unsigned integer i32 to the stream.
void | Write32 (const wxUint32 *buffer, size_t size)
| Writes an array of 32 bit unsigned integer to the stream.
void | Write64 (wxUint64 i64)
| Writes the 64 bit unsigned integer i64 to the stream.
void | Write64 (const wxUint64 *buffer, size_t size)
| Writes an array of 64 bit unsigned integer to the stream.
void | WriteDouble (double f)
| Writes the double f to the stream using the IEEE format.
void | WriteDouble (const double *buffer, size_t size)
| Writes an array of double to the stream.
void | WriteString (const wxString &string)
| Writes string to the stream.

List of all members.

## Constructor & Destructor Documentation

wxDataOutputStream::wxDataOutputStream | ( | wxOutputStream & | stream,
|  | const wxMBConv & | conv = `wxConvUTF8` |
| ) |  |  |

Constructs a datastream object from an output stream.

Only write methods will be available.

Note that the conv parameter is only available in Unicode builds of wxWidgets.

Parameters:

  | stream | The output stream.
  | conv | Charset conversion object used to encoding Unicode strings before writing them to the stream in Unicode mode (see WriteString() for a detailed description). Note that you must not destroy conv before you destroy this wxDataOutputStream instance! It is recommended to use the default value (UTF-8).

wxDataOutputStream::~wxDataOutputStream | ( |  | ) |

Destroys the wxDataOutputStream object.

## Member Function Documentation

void wxDataOutputStream::BigEndianOrdered | ( | bool | be_order | ) |

If be_order is true, all data will be written in big-endian order, e.g.

for reading on a Sparc or from Java-Streams (which always use big-endian order), otherwise data will be written in little-endian order.

wxMBConv* wxDataOutputStream::GetConv | ( |  | ) | const

Returns the current text conversion class used for writing strings.

void wxDataOutputStream::SetConv | ( | const wxMBConv & | conv | ) |

Sets the text conversion class used for writing strings.

void wxDataOutputStream::Write16 | ( | const wxUint16 * | buffer,
|  | size_t | size |
| ) |  |  |

Writes an array of 16 bit unsigned integer to the stream.

The amount of 16 bit unsigned integer to write is specified with the size variable.

void wxDataOutputStream::Write16 | ( | wxUint16 | i16 | ) |

Writes the 16 bit unsigned integer i16 to the stream.

void wxDataOutputStream::Write32 | ( | const wxUint32 * | buffer,
|  | size_t | size |
| ) |  |  |

Writes an array of 32 bit unsigned integer to the stream.

The amount of 32 bit unsigned integer to write is specified with the size variable.

void wxDataOutputStream::Write32 | ( | wxUint32 | i32 | ) |

Writes the 32 bit unsigned integer i32 to the stream.

void wxDataOutputStream::Write64 | ( | const wxUint64 * | buffer,
|  | size_t | size |
| ) |  |  |

Writes an array of 64 bit unsigned integer to the stream.

The amount of 64 bit unsigned integer to write is specified with the size variable.

void wxDataOutputStream::Write64 | ( | wxUint64 | i64 | ) |

Writes the 64 bit unsigned integer i64 to the stream.

void wxDataOutputStream::Write8 | ( | const wxUint8 * | buffer,
|  | size_t | size |
| ) |  |  |

Writes an array of bytes to the stream.

The amount of bytes to write is specified with the size variable.

void wxDataOutputStream::Write8 | ( | wxUint8 | i8 | ) |

Writes the single byte i8 to the stream.

void wxDataOutputStream::WriteDouble | ( | const double * | buffer,
|  | size_t | size |
| ) |  |  |

Writes an array of double to the stream.

The amount of double to write is specified with the size variable.

void wxDataOutputStream::WriteDouble | ( | double | f | ) |

Writes the double f to the stream using the IEEE format.

void wxDataOutputStream::WriteString | ( | const wxString & | string | ) |

Writes string to the stream.

Actually, this method writes the size of the string before writing string itself.

In ANSI build of wxWidgets, the string is written to the stream in exactly same way it is represented in memory. In Unicode build, however, the string is first converted to multibyte representation with conv object passed to stream's constructor (consequently, ANSI applications can read data written by Unicode application, as long as they agree on encoding) and this representation is written to the stream. UTF-8 is used by default.

|  | [ top ]